当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 11 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : 7.10内核编译的问题!
帖子发表于 : 2007-12-27 10:45 

注册: 2007-10-22 19:24
帖子: 29
送出感谢: 0 次
接收感谢: 0 次
我每次编译内核都出现:

drivers/pci/search.c: 在函数 ‘pci_find_slot’ 中:
drivers/pci/search.c:99: 警告: ‘pci_find_device’ 已过时(于 include/linux/pci.h:480 声明)
drivers/pci/search.c: 在顶层:
drivers/pci/search.c:437: 警告: ‘pci_find_device’ 已过时(于 drivers/pci/search.c:244 声明)
drivers/pci/search.c:437: 警告: ‘pci_find_device’ 已过时(于 drivers/pci/search.c:244 声明)
drivers/pci/search.c:438: 警告: ‘pci_find_slot’ 已过时(于 drivers/pci/search.c:96 声明)
drivers/pci/search.c:438: 警告: ‘pci_find_slot’ 已过时(于 drivers/pci/search.c:96 声明)


fs/udf/balloc.c: 在函数 ‘udf_table_new_block’ 中:
fs/udf/balloc.c:692: 警告: 此函数中的 ‘goal_eloc.logicalBlockNum’ 在使用前可能未初始化

不知道为什么总是出错,是不是我的gcc版本不对?请指教!

还有一个问题,如何检查现在用的gcc版本?
谢谢


页首
 用户资料  
 
2 楼 
 文章标题 :
帖子发表于 : 2007-12-29 23:23 

注册: 2007-04-17 20:06
帖子: 32
送出感谢: 0 次
接收感谢: 0 次
编译内核一般用2。9的gcc
你使用的是什么版本呢 ?
在README中可以看到内核支持的gcc的版本的
你可以查一查


页首
 用户资料  
 
3 楼 
 文章标题 :
帖子发表于 : 2007-12-29 23:24 

注册: 2007-04-17 20:06
帖子: 32
送出感谢: 0 次
接收感谢: 0 次
检查gcc的版本可以用
gcc -v


页首
 用户资料  
 
4 楼 
 文章标题 :
帖子发表于 : 2007-12-30 15:40 

注册: 2007-10-22 19:24
帖子: 29
送出感谢: 0 次
接收感谢: 0 次
我的gcc版本是4.13的,如何能使用低版本的gcc,是把4.X版本的删除了,装个低版本的,还是有什么方法可以调用低版本的gcc。我编译的的是最新的内核2.6.23.12,readme里要求使用gcc3.2。


页首
 用户资料  
 
5 楼 
 文章标题 :
帖子发表于 : 2007-12-30 15:45 
头像

注册: 2006-07-02 11:16
帖子: 12522
地址: 廣州
送出感谢: 0 次
接收感谢: 8
没有出错啊, 警告而已


_________________
^_^ ~~~
要理解递归,首先要理解递归。

地球人都知道,理论上,理论跟实际是没有差别的,但实际上,理论跟实际的差别是相当大滴。


页首
 用户资料  
 
6 楼 
 文章标题 :
帖子发表于 : 2007-12-30 15:47 
头像

注册: 2006-07-02 11:16
帖子: 12522
地址: 廣州
送出感谢: 0 次
接收感谢: 8
代码:
kernel/power/pm.c:205: 警告: ‘pm_register’ 已过时(于 kernel/power/pm.c:64 声明)
kernel/power/pm.c:205: 警告: ‘pm_register’ 已过时(于 kernel/power/pm.c:64 声明)
kernel/power/pm.c:206: 警告: ‘pm_send_all’ 已过时(于 kernel/power/pm.c:180 声明)
kernel/power/pm.c:206: 警告: ‘pm_send_all’ 已过时(于 kernel/power/pm.c:180 声明)
fs/reiser4/plugin/file/cryptcompress.c:824: 警告: 此函数中的 ‘oh’ 在使用前可能未初始化
include/linux/mca-legacy.h:12:2: 警告: #warning "MCA legacy - please move your driver to the new sysfs api"
include/linux/mca-legacy.h:12:2: 警告: #warning "MCA legacy - please move your driver to the new sysfs api"
drivers/pci/search.c:99: 警告: ‘pci_find_device’ 已过时(于 include/linux/pci.h:480 声明)
drivers/pci/search.c:437: 警告: ‘pci_find_device’ 已过时(于 drivers/pci/search.c:244 声明)
drivers/pci/search.c:437: 警告: ‘pci_find_device’ 已过时(于 drivers/pci/search.c:244 声明)
drivers/pci/search.c:438: 警告: ‘pci_find_slot’ 已过时(于 drivers/pci/search.c:96 声明)
drivers/pci/search.c:438: 警告: ‘pci_find_slot’ 已过时(于 drivers/pci/search.c:96 声明)
arch/i386/kernel/apm.c:1192: 警告: ‘pm_send_all’ 已过时(于 include/linux/pm_legacy.h:20 声明)
arch/i386/kernel/apm.c:1227: 警告: ‘pm_send_all’ 已过时(于 include/linux/pm_legacy.h:20 声明)
arch/i386/kernel/apm.c:1340: 警告: ‘pm_send_all’ 已过时(于 include/linux/pm_legacy.h:20 声明)
fs/udf/balloc.c:692: 警告: 此函数中的 ‘goal_eloc.logicalBlockNum’ 在使用前可能未初始化
drivers/ata/ahci.c:1433: 警告: 未使用的变量 ‘pp’
drivers/atm/iphase.c:961: 警告: ‘tcnter’ 定义后未使用
drivers/atm/iphase.c:963: 警告: ‘xdump’ 定义后未使用
drivers/dma/ioatdma.c:247: 警告: 未使用的变量 ‘chanctrl’
drivers/isdn/capi/capidrv.c:2121:3: 警告: #warning FIXME: maybe a race condition the card should be removed here from global list /kkeil
drivers/isdn/hisax/telespci.c:303: 警告: ‘pci_find_device’ 已过时(于 include/linux/pci.h:480 声明)
drivers/isdn/hisax/avm_pci.c:792: 警告: ‘pci_find_device’ 已过时(于 include/linux/pci.h:480 声明)
drivers/isdn/hisax/elsa.c:1024: 警告: ‘pci_find_device’ 已过时(于 include/linux/pci.h:480 声明)
drivers/isdn/hisax/elsa.c:1032: 警告: ‘pci_find_device’ 已过时(于 include/linux/pci.h:480 声明)
drivers/isdn/hisax/diva.c:1050: 警告: ‘pci_find_device’ 已过时(于 include/linux/pci.h:480 声明)
drivers/isdn/hisax/diva.c:1057: 警告: ‘pci_find_device’ 已过时(于 include/linux/pci.h:480 声明)
drivers/isdn/hisax/diva.c:1064: 警告: ‘pci_find_device’ 已过时(于 include/linux/pci.h:480 声明)
drivers/isdn/hisax/diva.c:1074: 警告: ‘pci_find_device’ 已过时(于 include/linux/pci.h:480 声明)
drivers/isdn/hisax/sedlbauer.c:627: 警告: ‘pci_find_device’ 已过时(于 include/linux/pci.h:480 声明)
drivers/isdn/hisax/nj_s.c:280: 警告: ‘pci_find_device’ 已过时(于 include/linux/pci.h:480 声明)
drivers/isdn/hisax/nj_u.c:243: 警告: ‘pci_find_device’ 已过时(于 include/linux/pci.h:480 声明)
drivers/isdn/hisax/hfc_pci.c:1663: 警告: ‘pci_find_device’ 已过时(于 include/linux/pci.h:480 声明)
drivers/isdn/hisax/niccy.c:305: 警告: ‘pci_find_device’ 已过时(于 include/linux/pci.h:480 声明)
drivers/isdn/hisax/bkm_a4t.c:343: 警告: ‘pci_find_device’ 已过时(于 include/linux/pci.h:480 声明)
drivers/isdn/hisax/bkm_a8.c:312: 警告: ‘pci_find_device’ 已过时(于 include/linux/pci.h:480 声明)
drivers/isdn/hisax/gazel.c:549: 警告: ‘pci_find_device’ 已过时(于 include/linux/pci.h:480 声明)
drivers/isdn/hisax/w6692.c:1014: 警告: ‘pci_find_device’ 已过时(于 include/linux/pci.h:480 声明)
drivers/isdn/hisax/enternow_pci.c:409: 警告: ‘pci_find_device’ 已过时(于 include/linux/pci.h:480 声明)
drivers/isdn/icn/icn.c:720:4: 警告: #warning TODO test headroom or use skb->nb to flag ACK
drivers/isdn/sc/shmem.c:54: 警告: 传递参数 1 (属于 ‘memcpy_toio’)时将整数赋给指针,未作类型转换
drivers/isdn/sc/init.c:281: 警告: 从不兼容的指针类型赋值
drivers/isdn/sc/init.c:484: 警告: 传递参数 1 (属于 ‘readl’)时将整数赋给指针,未作类型转换
drivers/isdn/sc/init.c:494: 警告: 传递参数 1 (属于 ‘readl’)时将整数赋给指针,未作类型转换
drivers/isdn/sc/init.c:504: 警告: 传递参数 1 (属于 ‘readl’)时将整数赋给指针,未作类型转换
drivers/mtd/maps/physmap.c:204:2: 警告: #warning using PHYSMAP compat code
include/linux/mca-legacy.h:12:2: 警告: #warning "MCA legacy - please move your driver to the new sysfs api"
include/linux/mca-legacy.h:12:2: 警告: #warning "MCA legacy - please move your driver to the new sysfs api"
include/linux/mca-legacy.h:12:2: 警告: #warning "MCA legacy - please move your driver to the new sysfs api"
include/linux/mca-legacy.h:12:2: 警告: #warning "MCA legacy - please move your driver to the new sysfs api"
include/linux/mca-legacy.h:12:2: 警告: #warning "MCA legacy - please move your driver to the new sysfs api"
include/linux/mca-legacy.h:12:2: 警告: #warning "MCA legacy - please move your driver to the new sysfs api"
drivers/net/cs89x0.c:198: 警告: ‘netcard_portlist’ 定义后未使用
include/linux/mca-legacy.h:12:2: 警告: #warning "MCA legacy - please move your driver to the new sysfs api"
drivers/pci/hotplug/cpqphp_pci.c:92: 警告: ‘pci_find_slot’ 已过时(于 include/linux/pci.h:481 声明)
drivers/pci/hotplug/cpqphp_pci.c:102: 警告: ‘pci_find_slot’ 已过时(于 include/linux/pci.h:481 声明)
drivers/pci/hotplug/cpqphp_pci.c:126: 警告: ‘pci_find_slot’ 已过时(于 include/linux/pci.h:481 声明)
drivers/pci/hotplug/cpqphp_pci.c:420: 警告: ‘pci_find_slot’ 已过时(于 include/linux/pci.h:481 声明)
drivers/pci/hotplug/ibmphp_core.c:764: 警告: ‘pci_find_slot’ 已过时(于 include/linux/pci.h:481 声明)
drivers/pci/hotplug/ibmphp_core.c:826: 警告: ‘pci_find_slot’ 已过时(于 include/linux/pci.h:481 声明)
drivers/pci/hotplug/ibmphp_core.c:839: 警告: ‘pci_find_slot’ 已过时(于 include/linux/pci.h:481 声明)
drivers/pci/hotplug/cpcihp_generic.c:157: 警告: ‘pci_find_slot’ 已过时(于 include/linux/pci.h:481 声明)
drivers/scsi/advansys.c:794:2: 警告: #warning this driver is still not properly converted to the DMA API
drivers/scsi/advansys.c:18868: 警告: ‘pci_find_device’ 已过时(于 include/linux/pci.h:480 声明)
drivers/scsi/ultrastor.c:303: 警告: 匹配的约束不允许使用寄存器
drivers/scsi/ultrastor.c:302: 警告: 匹配的约束不允许使用寄存器
drivers/scsi/ultrastor.c:1201: 警告: 匹配的约束不允许使用寄存器
drivers/scsi/ultrastor.c:1201: 警告: 匹配的约束不允许使用寄存器
drivers/scsi/ultrastor.c:698: 警告: 匹配的约束不允许使用寄存器
drivers/scsi/ultrastor.c:698: 警告: 匹配的约束不允许使用寄存器
drivers/scsi/ultrastor.c:698: 警告: 匹配的约束不允许使用寄存器
drivers/scsi/ultrastor.c:698: 警告: 匹配的约束不允许使用寄存器
drivers/scsi/ultrastor.c:698: 警告: 匹配的约束不允许使用寄存器
drivers/scsi/ultrastor.c:698: 警告: 匹配的约束不允许使用寄存器
drivers/scsi/ultrastor.c:698: 警告: 匹配的约束不允许使用寄存器
drivers/scsi/ultrastor.c:302: 警告: 匹配的约束不允许使用寄存器
drivers/scsi/ultrastor.c:302: 警告: 匹配的约束不允许使用寄存器
include/linux/mca-legacy.h:12:2: 警告: #warning "MCA legacy - please move your driver to the new sysfs api"
drivers/scsi/ips.c:6949: 警告: 此函数中的 ‘index’ 在使用前可能未初始化
include/linux/mca-legacy.h:12:2: 警告: #warning "MCA legacy - please move your driver to the new sysfs api"
drivers/scsi/gdth.c:897: 警告: ‘pci_find_device’ 已过时(于 include/linux/pci.h:480 声明)
sound/oss/pss.c:680: 警告: ‘check_region’ 已过时(于 include/linux/ioport.h:136 声明)


_________________
^_^ ~~~
要理解递归,首先要理解递归。

地球人都知道,理论上,理论跟实际是没有差别的,但实际上,理论跟实际的差别是相当大滴。


页首
 用户资料  
 
7 楼 
 文章标题 :
帖子发表于 : 2007-12-30 17:20 

注册: 2007-10-22 19:24
帖子: 29
送出感谢: 0 次
接收感谢: 0 次
BigSnake.NET 写道:
代码:
kernel/power/pm.c:205: 警告: ‘pm_register’ 已过时(于 kernel/power/pm.c:64 声明)
kernel/power/pm.c:205: 警告: ‘pm_register’ 已过时(于 kernel/power/pm.c:64 声明)
kernel/power/pm.c:206: 警告: ‘pm_send_all’ 已过时(于 kernel/power/pm.c:180 声明)
kernel/power/pm.c:206: 警告: ‘pm_send_all’ 已过时(于 kernel/power/pm.c:180 声明)
fs/reiser4/plugin/file/cryptcompress.c:824: 警告: 此函数中的 ‘oh’ 在使用前可能未初始化
include/linux/mca-legacy.h:12:2: 警告: #warning "MCA legacy - please move your driver to the new sysfs api"
include/linux/mca-legacy.h:12:2: 警告: #warning "MCA legacy - please move your driver to the new sysfs api"
drivers/pci/search.c:99: 警告: ‘pci_find_device’ 已过时(于 include/linux/pci.h:480 声明)
drivers/pci/search.c:437: 警告: ‘pci_find_device’ 已过时(于 drivers/pci/search.c:244 声明)
drivers/pci/search.c:437: 警告: ‘pci_find_device’ 已过时(于 drivers/pci/search.c:244 声明)
drivers/pci/search.c:438: 警告: ‘pci_find_slot’ 已过时(于 drivers/pci/search.c:96 声明)
drivers/pci/search.c:438: 警告: ‘pci_find_slot’ 已过时(于 drivers/pci/search.c:96 声明)
arch/i386/kernel/apm.c:1192: 警告: ‘pm_send_all’ 已过时(于 include/linux/pm_legacy.h:20 声明)
arch/i386/kernel/apm.c:1227: 警告: ‘pm_send_all’ 已过时(于 include/linux/pm_legacy.h:20 声明)
arch/i386/kernel/apm.c:1340: 警告: ‘pm_send_all’ 已过时(于 include/linux/pm_legacy.h:20 声明)
fs/udf/balloc.c:692: 警告: 此函数中的 ‘goal_eloc.logicalBlockNum’ 在使用前可能未初始化
drivers/ata/ahci.c:1433: 警告: 未使用的变量 ‘pp’
drivers/atm/iphase.c:961: 警告: ‘tcnter’ 定义后未使用
drivers/atm/iphase.c:963: 警告: ‘xdump’ 定义后未使用
drivers/dma/ioatdma.c:247: 警告: 未使用的变量 ‘chanctrl’
drivers/isdn/capi/capidrv.c:2121:3: 警告: #warning FIXME: maybe a race condition the card should be removed here from global list /kkeil
drivers/isdn/hisax/telespci.c:303: 警告: ‘pci_find_device’ 已过时(于 include/linux/pci.h:480 声明)
drivers/isdn/hisax/avm_pci.c:792: 警告: ‘pci_find_device’ 已过时(于 include/linux/pci.h:480 声明)
drivers/isdn/hisax/elsa.c:1024: 警告: ‘pci_find_device’ 已过时(于 include/linux/pci.h:480 声明)
drivers/isdn/hisax/elsa.c:1032: 警告: ‘pci_find_device’ 已过时(于 include/linux/pci.h:480 声明)
drivers/isdn/hisax/diva.c:1050: 警告: ‘pci_find_device’ 已过时(于 include/linux/pci.h:480 声明)
drivers/isdn/hisax/diva.c:1057: 警告: ‘pci_find_device’ 已过时(于 include/linux/pci.h:480 声明)
drivers/isdn/hisax/diva.c:1064: 警告: ‘pci_find_device’ 已过时(于 include/linux/pci.h:480 声明)
drivers/isdn/hisax/diva.c:1074: 警告: ‘pci_find_device’ 已过时(于 include/linux/pci.h:480 声明)
drivers/isdn/hisax/sedlbauer.c:627: 警告: ‘pci_find_device’ 已过时(于 include/linux/pci.h:480 声明)
drivers/isdn/hisax/nj_s.c:280: 警告: ‘pci_find_device’ 已过时(于 include/linux/pci.h:480 声明)
drivers/isdn/hisax/nj_u.c:243: 警告: ‘pci_find_device’ 已过时(于 include/linux/pci.h:480 声明)
drivers/isdn/hisax/hfc_pci.c:1663: 警告: ‘pci_find_device’ 已过时(于 include/linux/pci.h:480 声明)
drivers/isdn/hisax/niccy.c:305: 警告: ‘pci_find_device’ 已过时(于 include/linux/pci.h:480 声明)
drivers/isdn/hisax/bkm_a4t.c:343: 警告: ‘pci_find_device’ 已过时(于 include/linux/pci.h:480 声明)
drivers/isdn/hisax/bkm_a8.c:312: 警告: ‘pci_find_device’ 已过时(于 include/linux/pci.h:480 声明)
drivers/isdn/hisax/gazel.c:549: 警告: ‘pci_find_device’ 已过时(于 include/linux/pci.h:480 声明)
drivers/isdn/hisax/w6692.c:1014: 警告: ‘pci_find_device’ 已过时(于 include/linux/pci.h:480 声明)
drivers/isdn/hisax/enternow_pci.c:409: 警告: ‘pci_find_device’ 已过时(于 include/linux/pci.h:480 声明)
drivers/isdn/icn/icn.c:720:4: 警告: #warning TODO test headroom or use skb->nb to flag ACK
drivers/isdn/sc/shmem.c:54: 警告: 传递参数 1 (属于 ‘memcpy_toio’)时将整数赋给指针,未作类型转换
drivers/isdn/sc/init.c:281: 警告: 从不兼容的指针类型赋值
drivers/isdn/sc/init.c:484: 警告: 传递参数 1 (属于 ‘readl’)时将整数赋给指针,未作类型转换
drivers/isdn/sc/init.c:494: 警告: 传递参数 1 (属于 ‘readl’)时将整数赋给指针,未作类型转换
drivers/isdn/sc/init.c:504: 警告: 传递参数 1 (属于 ‘readl’)时将整数赋给指针,未作类型转换
drivers/mtd/maps/physmap.c:204:2: 警告: #warning using PHYSMAP compat code
include/linux/mca-legacy.h:12:2: 警告: #warning "MCA legacy - please move your driver to the new sysfs api"
include/linux/mca-legacy.h:12:2: 警告: #warning "MCA legacy - please move your driver to the new sysfs api"
include/linux/mca-legacy.h:12:2: 警告: #warning "MCA legacy - please move your driver to the new sysfs api"
include/linux/mca-legacy.h:12:2: 警告: #warning "MCA legacy - please move your driver to the new sysfs api"
include/linux/mca-legacy.h:12:2: 警告: #warning "MCA legacy - please move your driver to the new sysfs api"
include/linux/mca-legacy.h:12:2: 警告: #warning "MCA legacy - please move your driver to the new sysfs api"
drivers/net/cs89x0.c:198: 警告: ‘netcard_portlist’ 定义后未使用
include/linux/mca-legacy.h:12:2: 警告: #warning "MCA legacy - please move your driver to the new sysfs api"
drivers/pci/hotplug/cpqphp_pci.c:92: 警告: ‘pci_find_slot’ 已过时(于 include/linux/pci.h:481 声明)
drivers/pci/hotplug/cpqphp_pci.c:102: 警告: ‘pci_find_slot’ 已过时(于 include/linux/pci.h:481 声明)
drivers/pci/hotplug/cpqphp_pci.c:126: 警告: ‘pci_find_slot’ 已过时(于 include/linux/pci.h:481 声明)
drivers/pci/hotplug/cpqphp_pci.c:420: 警告: ‘pci_find_slot’ 已过时(于 include/linux/pci.h:481 声明)
drivers/pci/hotplug/ibmphp_core.c:764: 警告: ‘pci_find_slot’ 已过时(于 include/linux/pci.h:481 声明)
drivers/pci/hotplug/ibmphp_core.c:826: 警告: ‘pci_find_slot’ 已过时(于 include/linux/pci.h:481 声明)
drivers/pci/hotplug/ibmphp_core.c:839: 警告: ‘pci_find_slot’ 已过时(于 include/linux/pci.h:481 声明)
drivers/pci/hotplug/cpcihp_generic.c:157: 警告: ‘pci_find_slot’ 已过时(于 include/linux/pci.h:481 声明)
drivers/scsi/advansys.c:794:2: 警告: #warning this driver is still not properly converted to the DMA API
drivers/scsi/advansys.c:18868: 警告: ‘pci_find_device’ 已过时(于 include/linux/pci.h:480 声明)
drivers/scsi/ultrastor.c:303: 警告: 匹配的约束不允许使用寄存器
drivers/scsi/ultrastor.c:302: 警告: 匹配的约束不允许使用寄存器
drivers/scsi/ultrastor.c:1201: 警告: 匹配的约束不允许使用寄存器
drivers/scsi/ultrastor.c:1201: 警告: 匹配的约束不允许使用寄存器
drivers/scsi/ultrastor.c:698: 警告: 匹配的约束不允许使用寄存器
drivers/scsi/ultrastor.c:698: 警告: 匹配的约束不允许使用寄存器
drivers/scsi/ultrastor.c:698: 警告: 匹配的约束不允许使用寄存器
drivers/scsi/ultrastor.c:698: 警告: 匹配的约束不允许使用寄存器
drivers/scsi/ultrastor.c:698: 警告: 匹配的约束不允许使用寄存器
drivers/scsi/ultrastor.c:698: 警告: 匹配的约束不允许使用寄存器
drivers/scsi/ultrastor.c:698: 警告: 匹配的约束不允许使用寄存器
drivers/scsi/ultrastor.c:302: 警告: 匹配的约束不允许使用寄存器
drivers/scsi/ultrastor.c:302: 警告: 匹配的约束不允许使用寄存器
include/linux/mca-legacy.h:12:2: 警告: #warning "MCA legacy - please move your driver to the new sysfs api"
drivers/scsi/ips.c:6949: 警告: 此函数中的 ‘index’ 在使用前可能未初始化
include/linux/mca-legacy.h:12:2: 警告: #warning "MCA legacy - please move your driver to the new sysfs api"
drivers/scsi/gdth.c:897: 警告: ‘pci_find_device’ 已过时(于 include/linux/pci.h:480 声明)
sound/oss/pss.c:680: 警告: ‘check_region’ 已过时(于 include/linux/ioport.h:136 声明)




晕,你比我厉害!


页首
 用户资料  
 
8 楼 
 文章标题 :
帖子发表于 : 2007-12-30 23:51 

注册: 2007-04-17 20:06
帖子: 32
送出感谢: 0 次
接收感谢: 0 次
gcc 换版本是修改你默认路径gcc的链接
一般在/usr/bin目录下面
你可以用ls -l gcc查看当前gcc的链接情况
再建立一个链接到你需要的版本的gcc就可以了
你编译的没有错误啊


页首
 用户资料  
 
9 楼 
 文章标题 :
帖子发表于 : 2007-12-31 9:52 

注册: 2007-10-22 19:24
帖子: 29
送出感谢: 0 次
接收感谢: 0 次
ylyang05 写道:
gcc 换版本是修改你默认路径gcc的链接
一般在/usr/bin目录下面
你可以用ls -l gcc查看当前gcc的链接情况
再建立一个链接到你需要的版本的gcc就可以了
你编译的没有错误啊



谢谢你,不过我编译的内核却不能引导系统,找不到boot文件系统,唉,现在还编译呢。


页首
 用户资料  
 
10 楼 
 文章标题 :
帖子发表于 : 2007-12-31 10:43 
头像

注册: 2006-07-02 11:16
帖子: 12522
地址: 廣州
送出感谢: 0 次
接收感谢: 8
leowang 写道:
ylyang05 写道:
gcc 换版本是修改你默认路径gcc的链接
一般在/usr/bin目录下面
你可以用ls -l gcc查看当前gcc的链接情况
再建立一个链接到你需要的版本的gcc就可以了
你编译的没有错误啊



谢谢你,不过我编译的内核却不能引导系统,找不到boot文件系统,唉,现在还编译呢。


如果必须的驱动要编成模块, 记得用initrd


_________________
^_^ ~~~
要理解递归,首先要理解递归。

地球人都知道,理论上,理论跟实际是没有差别的,但实际上,理论跟实际的差别是相当大滴。


页首
 用户资料  
 
11 楼 
 文章标题 :
帖子发表于 : 2007-12-31 23:39 

注册: 2007-10-22 19:24
帖子: 29
送出感谢: 0 次
接收感谢: 0 次
BigSnake.NET 写道:
leowang 写道:
ylyang05 写道:
gcc 换版本是修改你默认路径gcc的链接
一般在/usr/bin目录下面
你可以用ls -l gcc查看当前gcc的链接情况
再建立一个链接到你需要的版本的gcc就可以了
你编译的没有错误啊



谢谢你,不过我编译的内核却不能引导系统,找不到boot文件系统,唉,现在还编译呢。


如果必须的驱动要编成模块, 记得用initrd


我编译的方法是:
sudo make mrproper
sudo make xconfig
sudo make clean
sudo make bzImage
sudo make modules
sudo make bzImage install
sudo make modules_install
sudo mkinitramfs -o /boot/initrd.img-2.6.23.12

不知道这么编译有没有错误?还是少的什么步骤?


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 11 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 3 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译